# Create a managed memory store

Launch stage: Beta

`POST /api/2.0/agents/memory-stores`

Creates a managed memory store in the caller's workspace.

API scopes: agent-kit

## Query parameters

- `managed_memory_store_id` (string, ^[a-z]([a-z0-9-]{0,54}[a-z0-9])?$, required)
  Caller-provided, workspace-unique managed memory store ID. It must be 3-56 characters, begin
   with a lowercase letter, contain only lowercase letters, digits, and hyphens, and end with a
   letter or digit.
  Constraints: `[ 3 .. 56 ] characters`

## Request body

The managed memory store to create.
- `display_name` (string, ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$, optional, Deprecated, Immutable)
  Deprecated compatibility alias for the caller-provided managed memory store ID. Canonical
   clients provide the ID through `CreateMemoryStoreRequest.managed_memory_store_id` and use
   `name` as the resource identifier.
  Constraints: `[ 3 .. 56 ] characters`
- `description` (string, optional)
  Human-readable description of the memory store.

## Returns

Returns the ManagedMemoryStore object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "workspace_id": 0,
  "storage_backend": {
    "backend_type": "STORAGE_BACKEND_TYPE_LAKEBASE",
    "backend_id": "string"
  },
  "owner_user_id": "string",
  "creator_user_id": "string",
  "description": "string",
  "create_time": "string",
  "update_time": "string"
}
```

